<WebBox ID="editUser">
      <form name="editUser" onsubmit="return false;">
      <input type="hidden" name="admin" value="{{admin}}">
      <table cellspacing=0 cellpadding=0 width="100%" align=center bgcolor=#fefefe 
border=0>
        <tbody> 
        <tr> 
          <td bgcolor=#000000 colspan=3><img height=1 alt="" hspace=0 
      src="{{GRAPHICS}}pixel.gif" width=1 border=0></td>
        </tr>

	<If condition="{{mode}}=='edit'">
        <tr valign="center" bgcolor="#ffffff"> 
          <td width="70%" height="30" align="center" bgcolor="#ffffff"> 
            <h2>Edit User: {{username}} ({{firstname}} {{lastname}})</h2>
          </td>
	  <td align="center">
            [<a href="javascript: updateUser()">Save Changes</a>] 
            [<a href="javascript: deleteUser()">Delete User</a>]
	  </td>
        </tr>
	</If>

	<If condition="{{mode}}=='addNew'">
        <tr valign="center" bgcolor="#ffffff"> 
          <td width="70%" height="30" align="center" bgcolor="#ffffff"> 
            <h2>Add New User</h2>
          </td>
	  <td align="center"> 
            [<a href="javascript: addNewUser()">Add User</a>]
	  </td>
        </tr>
	</If>

        <tr> 
          <td bgcolor=#000000 colspan=3><img height=1 alt="" hspace=0 
	    src="{{GRAPHICS}}pixel.gif" width=1 border=0></td>
        </tr>
        </tbody> 
      </table>

      <br>
      <table width="95%" align="center" border="0" cellspacing="0" cellpadding="0">
	<tr>
	  <td align="left" valign="top">
	    <table width="100%">
	      <tr>
		<td>Office:</td>
		<td>
		  <WebObject Class="xlistbox" Name="office"
			  rs="xlistbox_{{offices}}"
			  mainlist="true"
			  sublist="department" />
		  </td>
	      </tr>
	      <tr>
		<td>Department:</td>
		<td>
		  <WebObject Class="xlistbox" Name="department"
			  rs="xlistbox_{{departments}}" />
		</td>
	      </tr>
	      <tr>
		<td>Username:</td>
		<td>
		  <input type="text" class="textbox100" name="username" value="{{username}}">
		</td>
	      </tr>
	      <tr>
		<td>Password:</td>
		<td>
		  <input type="text" class="textbox100" name="password">
		</td>
	      </tr>
	      <If condition="{{mode}}=='addNew'">
		<tr>
		  <td>Firstname:</td>
		  <td>
		    <input type="text" class="textbox100" 
			name="firstname" value="{{firstname}}">
		  </td>
		</tr>
		<tr>
		  <td>Lastname:</td>
		  <td>
		    <input type="text" class="textbox100"
			name="lastname" value="{{lastname}}">
		  </td>
		</tr>
	      </If>
	    </table>
	  </td>
	  <td>
	    <img src="{{GRAPHICS}}pixel.gif" width="20" height="1" border="0">
	  </td>
	  <td valign="top">
	    Title: <br>
	    <table cellspacing="1" cellpadding="2" bgcolor="#eeeeee" border="0">
	      <tr><td bgcolor="white">
		<table border="0" cellspacing="2" cellpadding="0">
		  <tr>
		    <td valign="top">
		      <table border="0" cellspacing="2" cellpadding="0">
			<Repeat rs="roles_1">
			  <tr>
			    <td>
			      <Var name="checked">
			        (in_array({{role_id}},array({{roles}})) ? 
				   "checked" : "")
			      </Var>
			      <input type="checkbox" name="roles"
			         value="{{role_id}}" {{checked}}
				 onclick="select_role(this)" />
			    </td>
			    <td>{{role_name}}</td>
			  </tr>
			</Repeat>
		      </table>
		    </td>
		    <td valign="top">
		      <table border="0" cellspacing="2" cellpadding="0">
			<Repeat rs="roles_2">
			  <tr>
			    <td>
			      <Var name="checked">
			        (in_array({{role_id}},array({{roles}})) ? 
				  "checked" : "")
			      </Var>
			      <input type="checkbox" name="roles"
                                 value="{{role_id}}" {{checked}}
				 onclick="select_role(this)" />
			    </td>
			    <td>{{role_name}}</td>
			  </tr>
			</Repeat>
		      </table>
		    </td>
		  </tr>
		</table>
	      </td></tr>
	    </table>
	  </td>
	  <td>
	    <img src="{{GRAPHICS}}pixel.gif" width="20" height="1" border="0">
	  </td>
	  <td valign="top">
	    <table border="0" cellspacing="2" cellpadding="0">
	      <tr>
		<td>Tel 1:</td>
		<td>
		  <input type="text" name="tel1" value="{{tel1}}" class="styletextbox">
		</td>
	      </tr>
	      <tr>
		<td>Tel 2:</td>
		<td>
		  <input type="text" name="tel2" value="{{tel2}}" class="styletextbox">
		</td>
	      </tr>
	      <tr>
		<td>E-mail:</td>
		<td>
		  <input type="text" name="e_mail" value="{{e_mail}}" class="styletextbox">
		</td>
	      </tr>
	      <tr>
	        <td valign="top">Address:</td>
	        <td>
		  <textarea name="address" cols="25" rows="3">{{address}}</textarea>
		</td>
	      </tr>
	    </table>
	  </td>
	</tr>
      </table>
      </form>
      <script language="javascript">
	//init the department listbox with the selected values
        var dept_list = document.editUser.department;
	fill_sublist(dept_list, '{{office}}', '{{department}}');
      </script>
      <br>
      <Include SRC="{{./}}accessRights/accessRights.html" />
</WebBox>
